Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.opstatus
Class PmIRPEventImpl

    java.lang.Object
      com.sun.management.oss.impl.AttributeAccessImpl
          com.sun.management.oss.impl.util.IRPEventImpl
              com.sun.management.oss.impl.pm.opstatus.PmIRPEventImpl

All Implemented Interfaces:
  AttributeAccess, java.lang.Cloneable, Event, IRPEvent, java.io.Serializable, SerializerFactory

Direct Known Subclasses:
  OperationalStatusDataAvailableEventImpl, OperationalStatusDataEventImpl

public class PmIRPEventImpl
extends IRPEventImpl

Title: Description: Copyright: Copyright (c) 2002, Company: Ericsson AB

Version:
  1.0
Author:
  Hooman Tahamtani, Katarina Wahlstr?m
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sun.management.oss.util.IRPEvent
`APPLICATION_DN, EVENT_TIME, MANAGED_OBJECT_CLASS, MANAGED_OBJECT_INSTANCE, NOTIFICATION_ID`

Constructor Summary
`PmIRPEventImpl()`

Method Summary
`java.lang.String[]` | `getSupportedSerializerTypes()` Return all the serializer types than can be created by this factory.
`Serializer` | `makeSerializer(java.lang.String serializerType)` Manufacture a Serializer for the object type inheriting the interface.

Methods inherited from class com.sun.management.oss.impl.util.IRPEventImpl
`getApplicationDN, getEventTime, getManagedObjectClass, getManagedObjectInstance, getNotificationId, getSupportedOptionalAttributeNames, setApplicationDN, setEventTime, setManagedObjectClass, setManagedObjectInstance, setNotificationId`

Methods inherited from class com.sun.management.oss.impl.AttributeAccessImpl
`clone, getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.management.oss.Event
`clone`

Methods inherited from interface com.sun.management.oss.AttributeAccess
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Constructor Detail

### PmIRPEventImpl

    public PmIRPEventImpl()

Method Detail

### getSupportedSerializerTypes

    public java.lang.String[] getSupportedSerializerTypes()

  Description copied from interface: `SerializerFactory`
  Return all the serializer types than can be created by this factory. This may return an empty array, in case no serializer is implemented.

  Specified by:
    `getSupportedSerializerTypes` in interface `SerializerFactory`
  Overrides:
    `getSupportedSerializerTypes` in class `IRPEventImpl`

### makeSerializer

    public Serializer makeSerializer(java.lang.String serializerType)
                              throws java.lang.IllegalArgumentException

  Description copied from interface: `SerializerFactory`
  Manufacture a Serializer for the object type inheriting the interface.

  Specified by:
    `makeSerializer` in interface `SerializerFactory`
  Overrides:
    `makeSerializer` in class `IRPEventImpl`
  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD